GET /v1/connector-types/{type}
Get a connector type definition by type
GET
/v1/connector-types/{type}
Get a connector type definition by type
Path Parameters
type
string
required
path
Connector type
Responses
200
OK
application/jsoncode
integer
data
object
categories
string[]
Deprecated: use Tags instead
Array of:
dataSchema
object
description
string
informationUrl
string
logoDomain
string
Domain for logo.dev (e.g., "slack.com")
logoUrl
string
Computed at runtime from LogoDomain
name
string
optional
boolean
Optional indicates if the connector can be omitted when required by an action.
If true, workflow nodes can have a null connector and the action will execute
without connector data (b3os-actions handles fallback if needed).
provider
string
Provider indicates the underlying provider for this connector.
For Pipedream connectors, this is "pipedream".
providerConfig
object
ProviderConfig contains provider-specific configuration.
For Pipedream connectors, this includes appSlug, authPropName, authType.
setupGuide
string
SetupGuide contains markdown instructions for setting up the connector.
tags
string[]
Tags for filtering and categorization
Array of:
type
string
message
string
requestId
string
404
Not Found
curl -X GET 'https://api.example.com/v1/connector-types/string' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/connector-types/string', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/connector-types/string', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("GET", "https://api.example.com/v1/connector-types/string", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "code": 0, "data": { "categories": [ "<string>" ], "dataSchema": "<object>", "description": "<string>", "informationUrl": "<string>", "logoDomain": "<string>", "logoUrl": "<string>", "name": "<string>", "optional": true, "provider": "<string>", "providerConfig": "<object>", "setupGuide": "<string>", "tags": [ "<string>" ], "type": "<string>" }, "message": "successfully", "requestId": "abc-123"}
API Playground
Try this endpoint
GET
/v1/connector-types/{type}
